package de.sebse.fuplanner2.ui.notification

import androidx.lifecycle.LiveData
import androidx.lifecycle.ViewModel
import androidx.paging.LivePagedListBuilder
import androidx.paging.PagedList
import de.sebse.fuplanner2.database.AppDatabase
import de.sebse.fuplanner2.database.Notification

class NotificationViewModel : ViewModel() {
    private val factory = AppDatabase.getInstance().notificationDao().getAllPaged()
    val text: LiveData<PagedList<Notification>> = LivePagedListBuilder(factory, 50).build()
}
